# https://kubernetes.io/docs/tasks/configure-pod-container/configure-liveness-readiness-startup-probes/

apiVersion: v1
kind: Pod
metadata:
  name: un-pod-avec-sonde
spec:
  containers:
    - name: webserver
      image: httpd:alpine
      startupProbe:
        httpGet:
          path: /index.html
          port: 80
        initialDelaySeconds: 3
        periodSeconds: 5
#        successThreshold: 2
#        failureThreshold: 30
      readinessProbe:
        httpGet:   # https://kubernetes.io/docs/tasks/configure-pod-container/configure-liveness-readiness-startup-probes/#http-probes
          path: /index.html
          port: 80
#          httpHeaders:
#            - name: enteteENVOYE
#              value: une_valeur
        initialDelaySeconds: 3
        periodSeconds: 5
      livenessProbe:
        httpGet:
          path: /index.html
          port: 80
        initialDelaySeconds: 3
        periodSeconds: 5
